## com.blogspot.applications4android.comicreader
Class ActivityComicSelector

    java.lang.Object
      Activity
          com.blogspot.applications4android.comicreader.core.ComicActivity
              com.blogspot.applications4android.comicreader.ActivityComicSelector

    public class ActivityComicSelector

extends ComicActivity

Activity to select your favorite comics

Nested Class Summary
`static class` `ActivityComicSelector.EfficientAdapter` adapter class for efficient traversal of list items displayed in the main activity

Field Summary
`protected static ComicClassList` `mList` comic list
`protected static com.blogspot.applications4android.comicreader.ActivityComicSelector.PreviewLauncher` `mPL` preview activity
`protected int` `mType` sort type
`protected static com.blogspot.applications4android.comicreader.ActivityComicSelector.ComicMainWebPageDisplay` `mWP` web page display activity

Fields inherited from class com.blogspot.applications4android.comicreader.core.ComicActivity
`mColor1, mColor2`

Constructor Summary
`ActivityComicSelector()`

Method Summary
`void` `cancelChangesAndExit(View v)` Callback for the button to cancel the changes made and exit this activity
`protected void` `initListView()` Helper function to initialize the list view containing all comics which the user wants to see.
`boolean` `onCreateOptionsMenu(Menu menu)`
`boolean` `onOptionsItemSelected(MenuItem item)`
`protected void` `onPause()` Called when the activity is finished.
`protected void` `onResume()` Called when the activity is first created.
`void` `saveChangesAndExit(View v)` Callback for the button to save changes and exit this activity

Methods inherited from class com.blogspot.applications4android.comicreader.core.ComicActivity
`displayHtml, ExitActivity, hideResetButton, setupComicsList, showResetButton, storeComicClassList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mList

    protected static ComicClassList mList

  comic list

### mPL

    protected static com.blogspot.applications4android.comicreader.ActivityComicSelector.PreviewLauncher mPL

  preview activity

### mWP

    protected static com.blogspot.applications4android.comicreader.ActivityComicSelector.ComicMainWebPageDisplay mWP

  web page display activity

### mType

    protected int mType

  sort type

Constructor Detail

### ActivityComicSelector

    public ActivityComicSelector()

Method Detail

### onResume

    protected void onResume()

  Description copied from class: `ComicActivity`
  Called when the activity is first created.

  Overrides:
    `onResume` in class `ComicActivity`

### onPause

    protected void onPause()

  Description copied from class: `ComicActivity`
  Called when the activity is finished.

  Overrides:
    `onPause` in class `ComicActivity`

### onCreateOptionsMenu

    public boolean onCreateOptionsMenu(Menu menu)

### onOptionsItemSelected

    public boolean onOptionsItemSelected(MenuItem item)

### saveChangesAndExit

    public void saveChangesAndExit(View v)

  Callback for the button to save changes and exit this activity

  Parameters:
    `v` - button

### cancelChangesAndExit

    public void cancelChangesAndExit(View v)

  Callback for the button to cancel the changes made and exit this activity

  Parameters:
    `v` - button

### initListView

    protected void initListView()

  Helper function to initialize the list view containing all comics which the user wants to see. This will read the preferences set by the user in the settings activity. Also updates the callbacks for various UI elements in the activity